'
' Amicus18 GPS Receiver Shield and Amicus18 Colour Graphic LCD shield Demo
'
' Receive GPS data and parse it into date, time, and position
' Display the information on the colour graphic LCD shield
'
    Declare Optimiser_Level = 3                                 ' Maximum optimisation
    Declare Float_Display_Type = Fast                           ' Faster, more accurate floating point display routine
    
    Include "ILI9320.inc"                                       ' Load the ILI9320 Graphic LCD routines into the program
    Include "GPS.inc"                                           ' Load the GPS routines into the program

'------------------------------------------------------------------------------
' Main program loop starts here
'
Main: 
    Glcd_SetFont(Courier_Bold_14)
    Glcd_PaperColor(clWhite)
    Glcd_PenColor(clBrightBlue)     
    While 1 = 1                                                 ' Create an infinite loop       
        Glcd_Cls(clWhite)                                       ' Clear the LCD with colour white
        GPS_Parse()                                             ' Gather the GPS serial data and parse it 
        '
        ' Display the GPS information on the LCD
        '
        Glcd_Cursor(8,48)
        Print "Date: ", Dec2 GPS_Day, ":", Dec2 GPS_Month, ":", Dec2 GPS_Year, "   "
        Glcd_Cursor(8,68)
        Print "Time: ", Dec2 GPS_Hours, ":", Dec2 GPS_Minutes, ":", Dec2 GPS_Seconds, " UTC   "
        Select GPS_FixType                                      ' Has a GPS fix occured?
            Case > 0                                            ' Yes. So display the results
                Glcd_Cursor(8,88)
                Print "Lat: ", Dec4 GPS_Latitude, "' ", GPS_LatBearing, "   " 
                Glcd_Cursor(8,108)
                Print "Lon: ", Dec4 GPS_Longitude, "' ", GPS_LonBearing, "   " 
                Glcd_Cursor(8,128)
                Print "Sats in view: ", Dec GPS_SatsInView, "   "
                Glcd_Cursor(8,148)
                Print "Fix type: ", Dec1 GPS_FixType, "   "
            Case Else                                           ' Otherwise...
                Glcd_Cursor(8,88)
                Print "Sats in view: ", Dec GPS_SatsInView, "   "
                Glcd_Cursor(8,108)
                Print "No GPS Fix\r"
        EndSelect       
        DelayMS 512                                             ' Wait before taking another GPS sample
    Wend                                                        ' Do it forever
'------------------------------------------------------------------------------    
' Load the font into the program
'
    Include "Courier_Bold_14.inc"        
    
    
    
    
    
    
    
